FETCH(9)

NAME
fetch, fubyte, fuibyte, fuiword, fulong, fuulong, fuword - fetch data from user-space

SYNOPSIS
#include <sys/types.h>
#include <sys/time.h>
#include <sys/systm.h>
#include <sys/resourcevar.h>
int
fubyte(const user_addr_t addr);
int
fuibyte(const user_addr_t addr);
int
fuiword(user_addr_t addr);
int64_t
fulong(user_addr_t addr);
uint64_t
fuulong(user_addr_t addr);
int
fuword(user_addr_t addr);

DESCRIPTION
The fetch functions are designed to copy small amounts of data from user-space.

The fetch routines provide the following functionality:

fubyte()
    Fetches a byte of data from the user-space address addr.

fuibyte()
    Fetches a byte of data from the user-space address addr. This function is safe to call during an interrupt context.

fuiword()
    Fetches a word of data from the user-space address addr. This function is safe to call during an interrupt context.

fulong()
    Fetches a long word of data from the user-space address addr.

fuulong()
    Fetches a unsigned long word of data from the user-space address addr.

fuword()
    Fetches a word of data from the user-space address addr.

RETURN VALUES
The fetch functions return the data fetched or -1 on failure.

SEE ALSO
copy(9), store(9)